# Oaertime App

Course udemy https://www.udemy.com/course/professional-ruby-on-rails-coding-course/learn/lecture/5474628#overview

## Models
- post -> dete:date reational:test
- User -> Devise
- AdminUser -> STI

## Feature
- Approval Workflow
- SMS sending -> link to approval or overtime input
- Administrate admin dashboard
- Email summary to managers for approval
- Needs to be documented if emplyee did not log overtime


## UI
- Bootstrap -> fromatting




2.7 test
https://github.com/rspec/rspec-rails

rails generate rspec:install
bundle exec rspec


3 - creating a user with Test Driven Development
https://github.com/heartcombo/devise

gem 'devise'

bundle install

rails generate devise:install

- config/environments/development.rb:

config.action_mailer.default_url_options = { host: 'localhost', port: 3000 }

-  application.html.rb

  <p class="notice"><%= notice %></p>
  <p class="alert"><%= alert %></p>

rails g devise:views


 rails g devise User first_name:string last_name:string type:string


 bundle exec rake db:migrate


 ## test

bundle exec rspec

bundle exec rspec spec/models/user_spec.rb

bundle exec rspec spec/models/user_spec.rb:18

## Seccion 4: implementing the ability to post overtime request

rails g resource Post date:date rationale:text

bundle exec rake db:migrate

carga de informacion

bundle exec rake db:setup


## ver rutas

bundle rake routes | grep user

